Update an allocation

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

This endpoint is currently in beta, please contact [email protected] if you see any issues.

Path Params
string
required

The allocation uuid

Body Params
string
enum

The time unit that determines how the allocation is defined. Possible values are "day" (Per day), "week" (Per week), "month" (Per month), "allocation" (Absolute number of hours), or "ratio_of_capacity" (Percentage of available capacity).

Allowed:
date

The start date (YYYY-MM-DD) of the allocation, must come on or before end date.

date

The end date (YYYY-MM-DD) of the allocation, must come on or after the start date.

string
enum

The type of resource being assigned. Must be either "member" for a real team member or "placeholder" for a generic resource placeholder.

Allowed:
string
enum

The type of assignment. Must be either "project" for a project-related allocation or "time_off" for a time off assignment.

Allowed:
float

The number of hours allocated per day. Only allowed when unit is day. Must be between 0 and 24 with up to 2 decimal places.

float

The number of hours allocated per week. Only allowed when unit is week. Must be between 0 and 168 with up to 2 decimal places.

float

The number of hours allocated per month. Only allowed when unit is month. Must be between 0 and 744 with up to 2 decimal places.

float

The total number of hours allocated for the full duration. Only allowed when unit is allocation. Must be between 0 and 99999 with up to 2 decimal places.

float

The proportion of the member’s available capacity to allocate. Only allowed when unit is ratio_of_capacity. Must be between 0 and 1 with up to 4 decimal places.

boolean

A flag to indicate if time can be allocated on days when the member has time off. Defaults to false if not provided.

string

Any notes with the associated allocation.

string

The member ID (uuid) of the member for this allocation. Must be provided if the resourceTypeId is member.

string

The resource placeholder ID (uuid) of the resource placeholder for this allocation. Must be provided if the resourceTypeId is placeholder.

string

The project ID (uuid) of the project for the allocation. Must be provided if the assignmentTypeId is project.

string

The project role ID (uuid) of the project role for the allocation. May be required depending on the project configuration.

string

The project task ID (uuid) of the project task for the allocation.

string

The time off type ID (uuid) of the time off type for the allocation. Must be provided if the assignmentTypeId is time_off.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json